#ifndef _XsmGrid_h
#define _XsmGrid_h

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

/******************
 * Resource Names *
 ******************/
#define XsmNcolumnPosition	"columnPosition"
#define XsmNcolumns		"columns"
#define XsmNhorizontalAlignment	"horizontalAlignment"
#define XsmNhorizontalSpacing	"horizontalSpacing"
#define XsmNmarginHeight	"marginHeight"
#define XsmNmarginWidth		"marginWidth"
#define XsmNrowPosition		"rowPosition"
#define XsmNrows		"rows"
#define XsmNshowGridLines	"showGridLines"
#define XsmNverticalAlignment	"verticalAlignment"
#define XsmNverticalSpacing	"verticalSpacing"

#define XsmCColumnPosition	"ColumnPosition"
#define XsmCColumns		"Columns"
#define XsmCHorizontalAlignment	"HorizontalAlignment"
#define XsmCHorizontalSpacing	"HorizontalSpacing"
#define XsmCMarginHeight	"MarginHeight"
#define XsmCMarginWidth		"MarginWidth"
#define XsmCRowPosition		"RowPosition"
#define XsmCRows		"Rows"
#define XsmCShowGridLines	"ShowGridLines"
#define XsmCVerticalAlignment	"VerticalAlignment"
#define XsmCVerticalSpacing	"VerticalSpacing"

#define XsmRVerticalAlignment	"VerticalAlignment"
#define XsmRHorizontalAlignment	"HorizontalAlignment"

/* Enums for the above resource types */
enum{   XsmALIGN_CENTER,       XsmALIGN_LEFT,        XsmALIGN_RIGHT};
enum{   XsmALIGN_MIDDLE,       XsmALIGN_TOP,        XsmALIGN_BOTTOM};

/********************
 * Callback Structs *
 ********************/

/* -------------- *
 * extern class   *
 * -------------- */
externalref WidgetClass       xsmGridWidgetClass;

typedef struct _XsmGridClassRec * XsmGridWidgetClass;
typedef struct _XsmGridRec * XsmGridWidget;


/********    Public Function Declarations    ********/
extern Widget XsmCreateGrid( 
                        Widget parent,
                        char *name,
                        ArgList arglist,
                        Cardinal argcount) ;

/********    End Public Function Declarations    ********/

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif /* _XsmGrid_h */
/* DON'T ADD STUFF AFTER THIS #endif */
